#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,x, mali, veliki, broj, i, ukupno;
    cin>>n>>x;
    mali=x;
    veliki=x;
    for(i=0; i<n; i++)
    {
        cin>>broj;
        if((broj<mali)&&(broj<=x))
        {
            mali=broj;
        }
        if((broj>veliki)&&(broj>=x))
        {
            veliki=broj;
        }
    }
    ukupno=veliki-mali+min(x-mali,veliki-x);
    cout<<ukupno<<endl;
    return 0;
}